#ifndef NETWORK_H
#define NETWORK_H

#include <qobject.h>

class Network : public QObject
{
	Q_OBJECT
	public:
		Network();
		~Network();

		void connect();
		void disconnect();

		int channel();

		static long generator();

	signals:
		void signalInput(int id);

	private slots:
		void slotInput(int fd);
		void slotDispatch();

	private:
		void serverInput(int fd);

		int m_channel;
};

#endif

