#ifndef LEVEL_H
#define LEVEL_H

class Level
{
	public:
		Level();
		~Level();
		void loadLevel(const char *levelfile);
		enum TileTypes
		{
			invalid,
			ground,
			wall,
			bridge,
			space,
			itemScree,
			itemBomb,
			itemLive,
			itemPower
		};
		int width();
		int height();
		int tile(int x, int y);
		void setTile(int x, int y, int tiletype);
		int occupied(int x, int y);
		void setOccupation(int x, int y, int occupied);

	private:
		int **m_field;
		int **m_occupation;
		int m_width, m_height;
};

#endif

